<div class="btnContainer">
  <a class="button" routerLink="/square">На главную</a>
</div>
<div class="formContainer" (submit)="calculate()">
  <form class="formContainer__form" [formGroup]="myForm">
    <input class="formInputField" type="number" placeholder="Сумма" formControlName="sum">
    <div class="alertMessage" *ngIf="myForm.controls.sum.invalid && myForm.controls.sum.touched">Правильно укажите
      сумму
    </div>
    <input class="formInputField" type="text" placeholder="Процент" formControlName="percent"
           (blur)="formatPercent($event)">
    <div class="alertMessage" *ngIf="myForm.controls.percent.invalid && myForm.controls.percent.touched">Правильно
      укажите процентную ставку
    </div>
    <div class="selectYears">
      <div class="selectYears__chosed" (click)="toggleList($event)">
        <span class="chosedItm">Выберите срок кредита</span>
        <span><i class="fa fa-angle-down" aria-hidden="true"></i></span>
      </div>
      <div class="selectYears__itm hidden" (click)="selectYears($event)">3 года</div>
      <div class="selectYears__itm hidden" (click)="selectYears($event)">5 лет</div>
      <div class="selectYears__itm hidden" (click)="selectYears($event)">7 лет</div>
      <div class="selectYears__itm hidden" (click)="selectYears($event)">Другое</div>
    </div>
    <div class="yearsInputContainer hidden">
      <input class="formInputField" type="number" placeholder="Кол-во лет"
             formControlName="years">
      <div class="alertMessage" *ngIf="myForm.controls.years.invalid && myForm.controls.years.touched">Правильно укажите
        кол-во лет
      </div>
    </div>
    <div class="btnContainer">
      <input class="button creditFormButton" type="submit" value="Рассчитать">
    </div>
  </form>
</div>
<div class="results" *ngIf="isCalculated">
  <igx-slider [type]="sliderType.RANGE" [minValue]="minValue" [maxValue]="maxValue" [(ngModel)]="ranges"></igx-slider>
  <table class="resultTable">
    <tr>
      <td>Месяц</td>
      <td>Остаток</td>
      <td>Ежемесячный платеж</td>
      <td>Проценты</td>
      <td>Основной платеж</td>
    </tr>
    <tr *ngFor="let period of resultArray | filterCreditResults: ranges.lower: ranges.upper">
      <td>{{period['month']}}</td>
      <td class="value">{{period['balance'] | currency}}</td>
      <td class="value">{{period['monthlyPayment'] | currency}}</td>
      <td class="value">{{period['percents'] | currency}}</td>
      <td class="value">{{period['mainPayment'] | currency}}</td>
    </tr>
  </table>
</div>
